> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sync

> Retrieve a single sync from the database.



## OpenAPI

````yaml GET /core/syncs/{sync_id}
openapi: 3.0.1
info:
  title: rootfi
  version: v3
servers:
  - url: https://api.rootfi.dev/v3
    description: global
  - url: https://api.sa.rootfi.dev/v3
    description: saudi
security: []
paths:
  /core/syncs/{sync_id}:
    get:
      tags:
        - CoreSyncs
      summary: Get Sync
      description: Retrieve a single sync from the database.
      operationId: core_syncs_get
      parameters:
        - name: sync_id
          in: path
          description: The ID of the sync to retrieve
          required: true
          schema:
            type: string
          examples:
            Example1:
              value: VmaVgKMaiygMzTK
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/coregetSyncObject'
              examples:
                Example1:
                  value:
                    data:
                      rootfi_id: 1
                      rootfi_company_id: 8422
                      rootfi_updated_at: '2024-06-21T08:07:05.750Z'
                      rootfi_created_at: '2024-06-21T08:07:05.750Z'
                      start_time: '2024-06-21T08:07:05.000Z'
                      end_time: '2024-06-21T08:07:40.382Z'
                      integration_type: ZOHO_BOOKS
                      full_sync: true
                      sync_type: AUTO_SYNC
                      config_mode: READ
                      sync_data_models:
                        - CUSTOM_ACCOUNT_TRANSACTIONS
                      sync_id: hjmm4d2HDHB60a2
                      total_count: 3
                      success_count: 3
                      failed_count: 0
                      running_count: 0
                      pending_count: 0
                      status: SUCCESS
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    coregetSyncObject:
      title: coregetSyncObject
      type: object
      description: The data of the sync endpoint
      properties:
        data:
          $ref: '#/components/schemas/coreSyncData'
          description: The data of the invite link endpoint
      required:
        - data
    RootFiAPIResponseType:
      title: RootFiAPIResponseType
      type: object
      properties:
        error:
          $ref: '#/components/schemas/RootFiAPIResponseErrorType'
          description: The error message
      required:
        - error
    coreSyncData:
      title: coreSyncData
      type: object
      description: The data of the invite link endpoint
      properties:
        rootfi_id:
          type: integer
          description: The ID of the sync
          example: 1
        rootfi_created_at:
          type: string
          description: The created time of the sync
          example: '2024-06-21T08:07:05.750Z'
        rootfi_updated_at:
          type: string
          description: The updated time of the sync
          example: '2024-06-21T08:07:05.750Z'
        rootfi_company_id:
          type: integer
          description: The ID of the company
          example: 8422
        start_time:
          type: string
          description: The start time of the sync
          example: '2024-06-21T08:07:05.000Z'
        end_time:
          type: string
          description: The end time of the sync
          example: '2024-06-21T08:07:40.382Z'
        integration_type:
          $ref: '#/components/schemas/IntegrationType'
          description: The type of integration
        full_sync:
          type: boolean
          description: Whether the sync was a full sync
          example: true
        sync_type:
          $ref: '#/components/schemas/SyncType'
          description: The type of sync.
        config_mode:
          $ref: '#/components/schemas/ConfigMode'
          description: The config mode of the sync.
        sync_data_models:
          type: array
          items:
            type: string
          description: The sync data models of the sync.
          example:
            - CUSTOM_ACCOUNT_TRANSACTIONS
        sync_id:
          type: string
          description: The ID of the sync
          example: hjmm4d2HDHB60a2
        total_count:
          type: integer
          description: The total count of the sync
          example: 3
        success_count:
          type: integer
          description: The success count of the sync
          example: 3
        failed_count:
          type: integer
          description: The failed count of the sync
          example: 0
        running_count:
          type: integer
          description: The running count of the sync
          example: 0
        pending_count:
          type: integer
          description: The pending count of the sync
          example: 0
        status:
          $ref: '#/components/schemas/JobStatus'
          description: The status of the sync
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_company_id
        - start_time
        - end_time
        - integration_type
        - full_sync
        - sync_type
        - config_mode
        - sync_data_models
        - sync_id
        - total_count
        - success_count
        - failed_count
        - running_count
        - pending_count
        - status
    RootFiAPIResponseErrorType:
      title: RootFiAPIResponseErrorType
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        field:
          type: string
          description: The status of the error
      required:
        - message
        - code
        - field
    IntegrationType:
      title: IntegrationType
      type: string
      enum:
        - ZOHO_BOOKS
        - QUICKBOOKS_SANDBOX
        - QUICKBOOKS
        - XERO
        - TALLY
        - ROOTFI_SANDBOX
        - SAGE_CLOUD_ACCOUNTING
        - MS_DYNAMICS_365
        - SAGE_ZA_CLOUD_ACCOUNTING
        - MYOB_BUSINESS
        - NETSUITE
        - WAVE
        - ODOO_ACCOUNTING
        - WAFEQ
        - MEKARI_JURNAL
        - BUSY
        - QOYOD
        - STRIPE
        - RAZORPAY
        - PAYPAL
        - SHOPIFY
        - BIG_COMMERCE
        - WOO_COMMERCE
        - HUBSPOT
        - SALESFORCE
        - PIPEDRIVE
        - ZOHO_CRM
    SyncType:
      title: SyncType
      type: string
      enum:
        - MANUAL
        - AUTO_SYNC
    ConfigMode:
      title: ConfigMode
      type: string
      enum:
        - CREATE
        - READ
        - UPDATE
        - DELETE
        - DOWNLOAD
        - CUSTOM
    JobStatus:
      title: JobStatus
      type: string
      enum:
        - CREATED
        - RUNNING
        - SUCCESS
        - FAILED
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api_key

````